Show / Hide Table of Contents

# Class XivChatEntry

##### Inheritance

System.Object
XivChatEntry

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Text

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class XivChatEntry

### Properties

| Improve this Doc View Source

#### MessageBytes

##### Declaration

    public byte[] MessageBytes { get; set; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Parameters

##### Declaration

    public IntPtr Parameters { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SenderId

##### Declaration

    public uint SenderId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public XivChatType Type { get; set; }

##### Property Value

Type | Description
--- | ---
XivChatType |